<?php

	class IDEALCHECKOUT_FOR_WORDPRESS_AND_EASY_DIGITAL_DOWNLOADS_2_2_8
	{
		// Return the software name
		public static function getSoftwareName()
		{
			return 'Wordpress 3.9.1 en Easy Digital Downloads 2.2.8+';
		}



		// Return the software code
		public static function getSoftwareCode()
		{
			return str_replace('_', '-', substr(basename(__FILE__), 0, -4));
		}



		// Return path to main cinfig file (if any)
		public static function getConfigFile()
		{
			return SOFTWARE_PATH . DS . 'wp-config.php';
		}



		// Return path to main cinfig file (if any)
		public static function getConfigData()
		{
			$sConfigFile = self::getConfigFile();

			// Detect DB settings via configuration file
			if(is_file($sConfigFile))
			{
				return file_get_contents($sConfigFile);
			}

			return '';
		}



		// Find default database settings
		public static function getDatabaseSettings($aSettings)
		{
			$aSettings['db_prefix'] = 'wp_';
			$sConfigData = self::getConfigData();

			if(!empty($sConfigData))
			{
				$aSettings['db_host'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/define\(\'DB_HOST\', \'([^\']+)\'\);/');
				$aSettings['db_user'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/define\(\'DB_USER\', \'([^\']+)\'\);/');
				$aSettings['db_pass'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/define\(\'DB_PASSWORD\', \'([^\']+)\'\);/');
				$aSettings['db_name'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/define\(\'DB_NAME\', \'([^\']+)\'\);/');
				$aSettings['db_prefix'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/\$table_prefix ? = \'([^\']+)\';/');
				$aSettings['db_type'] = (version_compare(PHP_VERSION, '5.3', '>') ? 'mysqli' : 'mysql');
			}

			return $aSettings;
		}



		// See if current software == self::$sSoftwareCode
		public static function isSoftware()
		{
			$aFiles = array();
			$aFiles[] = SOFTWARE_PATH . DS . 'wp-config.php';
			$aFiles[] = SOFTWARE_PATH . DS . 'wp-admin';
			$aFiles[] = SOFTWARE_PATH . DS . 'wp-content' . DS . 'plugins' . DS . 'easy-digital-downloads';

			foreach($aFiles as $sFile)
			{
				if(!is_file($sFile) && !is_dir($sFile))
				{
					return false;
				}
			}

			return true;
		}




		// Install plugin, return text
		public static function doInstall($aSettings)
		{
			IDEALCHECKOUT_INSTALL::doInstall($aSettings);
			return true;
		}



		// Install plugin, return text
		public static function getInstructions($aSettings)
		{
			$sHtml = '';
			$sHtml .= '<br>';
			$sHtml .= '<h4>Oudere versies: </h4>';
			$sHtml .= '<ol>';
			$sHtml .= '<li>Log in op de beheeromgeving van uw webshop.</li>';
			$sHtml .= '<li>Ga naar plug-ins en activeer de "iDEAL Checkout" plug-in.</li>';
			$sHtml .= '<li>Klik in het hoofdmenu op EDD / Settings.</li>';
            $sHtml .= '<li>Klik op het tabje "Checkout", en scroll naar beneden.</li>';
            $sHtml .= '<li>Klik achter de gewenste betaalmethode op de knop "Settings".</li>';
			$sHtml .= '<li>Schakel de betaalmethode in, en pas waar wenselijk de overige instellingen voor deze betaalmethode aan.</li>';
			$sHtml .= '<li>Activeer desgewenst op dezelfe manier overige betaalmethoden.</li>';
			$sHtml .= '</ol>';
			
			$sHtml .= '<br>';
			
			$sHtml .= '<h4>Nieuwere versies: </h4>';
			$sHtml .= '<ol>';
			$sHtml .= '<li>Log in op de beheeromgeving van uw webshop.</li>';
			$sHtml .= '<li>Ga naar plug-ins en activeer de "iDEAL Checkout" plug-in.</li>';
			$sHtml .= '<li>Klik in het hoofdmenu op Downloads</li>';
			$sHtml .= '<li>Klik hierna op Instellingen</li>';
			$sHtml .= '<li>Klik op het tabje "Payment Gateways".</li>';
			$sHtml .= '<li>Selecteer de gewenste betaalmethode.</li>';
			$sHtml .= '<li>Pas waar wenselijk de overige instellingen voor deze betaalmethode aan.</li>';
			$sHtml .= '</ol>';

			return $sHtml;
		}
	}

?>